function val=values(ts,dat,namets)
 
// PURPOSE: give the value of a timeseries for a given date
// ------------------------------------------------------------
// INPUT:
// * ts = a timeseries or a tsmat
// * dat = a date string
// * namets = the name of a ts, if first arg is a tsmat
// ------------------------------------------------------------
// OUTPUT:
// * val = the value of a timeseries for the given date
// ------------------------------------------------------------
// Copyright: Eric Dubois 2002-2016 / Emmanuel Michaux 2008
// http://dubois.ensae.net/grocer.html

[nargout,nargin]=argn(0)
ndat=size(dat,'*')
type_dat=typeof(ts)

if type_dat == 'ts' | nargin == 2 then

   if ndat == 1 then
      val=ts('series')(date2num(dat)-ts('dates')(1)+1,:)
   elseif ndat == 2 then
      val=ts('series')([date2num(dat(1)):date2num(dat(2))]-ts('dates')(1)+1,:)
   end

elseif type_dat == 'tsmat'
   ind_ts=find(ts('names') == namets)
   if ndat == 1 then
      val=ts('series')(date2num(dat)-ts('dates')(1)+1,ind_ts)
   elseif ndat == 2 then
      val=ts('series')([date2num(dat(1)):date2num(dat(2))]-ts('dates')(1)+1,ind_ts)
   end

elseif and(type_dat ~= ['ts';'tsmat']) then
   error('not an admissible type for first arg: '+type_dat)

end    

endfunction
