function tsmat2ts(grocer_tsmat,grocer_names,noprint)
 
// PURPOSE: transform a tsmat into n ts
// ------------------------------------------------------------
// INPUT:
// * tsmat = a tsmat object
// * grocer_names = a string, collecting the subset of variables
//   in the tsmat to transform into ts
// ------------------------------------------------------------
// OUTPUT:
// * the corresponding ts (created with the resume capability)
// ------------------------------------------------------------
// Copyright Eric Dubois 2008
// http://dubois.ensae.net/grocer.html
 
[grocer_nargout,grocer_nargin]=argn(0)
if grocer_nargin == 3 then
   grocer_prt=%f
else
   grocer_prt=%t
end
grocer_s=grocer_tsmat('series')
grocer_nts=size(grocer_s,2)

if grocer_nargin < 2 then
   grocer_names=grocer_tsmat('names')
   grocer_nbnames=size(grocer_names,'*')
   grocer_indnames=1:grocer_nbnames

else
   grocer_names=stripblanks(grocer_names)
   grocer_nbnames=size(grocer_names,'*')
   grocer_tsmat_names=grocer_tsmat('names')
   grocer_indnames=zeros(1,grocer_nbnames)
   for grocer_i=1:grocer_nbnames
      grocer_ind_i=find(grocer_tsmat_names == grocer_names(grocer_i))
      if isempty(grocer_ind_i) then
         error('series '+string(grocer_names(grocer_i))+' not found in tsmat')
      end
      grocer_indnames(grocer_i)=grocer_ind_i
   end

end


for grocer_i=1:grocer_nbnames
   grocer_j=grocer_indnames(grocer_i)
   execstr(grocer_names(grocer_i)+'=tlist([''ts'';''freq'';''dates'';''series''],grocer_tsmat(''freq''),grocer_tsmat(''dates''),grocer_s(:,grocer_j))')
 
end
 
grocer_strnames=strcat(grocer_names,',')
if grocer_prt then
   disp('ts '+grocer_strnames+' will be created')
end
execstr('['+grocer_strnames+',grocer_tsnames]=resume('+grocer_strnames+',grocer_names)')
 
endfunction
